//code made by Elena Cardiel
#include <VarSpeedServo.h> //Include VarSpeedServo library. More info:https://github.com/netlabtoolkit/VarSpeedServo
#include <SharpIR.h> //Include SharpIR library. More info: https://www.makerguides.com
#include <SoftwareSerial.h>
SoftwareSerial serial_phototransistor(10, 9); //tx, rx

const int relay = 3;
byte average;
int dist1;
int dist2;
int dist3;

VarSpeedServo myservo1;
VarSpeedServo myservo2;
VarSpeedServo myservo3;

#define IRPin1 A3 //Define input pin
#define IRPin2 A1 //Define input pin
#define IRPin3 A2 //Define input pin
#define model 20150 //Define model: GP2Y0A02YK0F --> 20150  (20-150cm)
SharpIR IR_Sensor1(IRPin1, model); //Setup the sensor object
SharpIR IR_Sensor2(IRPin2, model); //Setup the sensor object
SharpIR IR_Sensor3(IRPin3, model); //Setup the sensor object

void setup() {
  serial_phototransistor.begin(9600);
  myservo1.attach(6);
  myservo2.attach(5);
  myservo3.attach(4);
  pinMode(relay, OUTPUT); //relay = output
}

void loop() {

//sharp-servo1
  dist1 = IR_Sensor1.distance();

  if (dist1 < 25){
    myservo1.write(155, 10);
   }
  if (dist1 >= 25){
    myservo1.write(0, 10);
  }

//sharp-servo2
  dist2 = IR_Sensor2.distance();

  if (dist2 < 25){
    myservo2.write(155, 10);
   }
  if (dist2 >= 25){
    myservo2.write(0, 10);
  }

//sharp-servo3
  dist3 = IR_Sensor3.distance();

  if (dist3 < 25){
    myservo3.write(155, 10);
   }
  if (dist3 >= 25){
    myservo3.write(0, 10);
  }

//phototransistor-relay
  if (serial_phototransistor.available() > 0) { // if we are receiving data from de sensor...
    average = serial_phototransistor.read();
    if (average > 100) {
       digitalWrite(relay, HIGH); // relay on
    }
    else if (average <= 100) {
      digitalWrite(relay, LOW); // relay off
    }
  }
  
delay (2000);

}
